# Contributing guidelines

## Editing the wiki

It would be nice to have accessible, up-to-date documentation in the
[wiki](https://github.com/windytan/redsea/wiki). It can be edited by
anyone, and I invite you to improve it.

## Creating an issue

[Bug reports](https://github.com/windytan/redsea/issues) are very useful
for the development of redsea.

Some guidelines for making good bug reports:

* When creating a new bug report ("issue"), be sure to include basic
  information about your system:
  * Operating system version
  * CPU architecture
  * `redsea --version`
  * Did you compile the libraries (liquid-dsp, sndfile) yourself or are they
   from package repositories?
* If there is an error message, please include the error message verbatim in
  the bug report. If it is very long, consider putting it in a file or gist
  instead.
* Be sure to check back with GitHub afterwards to see if I've asked any
  clarifying questions. I may not have access to an environment similar to
  yours and can't necessarily reproduce the bug myself, and that's why I
  may have many questions at first.
* If you fixed the problem yourself, it would be helpful to hear your
  solution! It's possible that others will also run into similar problems.
